cereal::tuple_detail::char_seq_to_c_str< Cs > Struct Template Reference

Creates a c string from a sequence of characters. More...

`#include </home/shane/workspace/cereal/include/cereal/types/tuple.hpp>`

## Public Attributes

const typedef char(& | arr_type )[sizeof...(Cs)+size]

## Static Public Attributes

static const int | size = 14
static const char | str [sizeof...(Cs)+size]

## Detailed Description

### template<char... Cs>
struct cereal::tuple_detail::char_seq_to_c_str< Cs >

Creates a c string from a sequence of characters.

The c string created will always be prefixed by "tuple_element" Based on code from: http://stackoverflow/a/20973438/710791

## Member Data Documentation

## str

template<char... Cs>

const char cereal::tuple_detail::char_seq_to_c_str< Cs >::str

static

Initial value:
=
{'t','u','p','l','e','_','e','l','e','m','e','n','t', Cs..., '\0'}

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/types/tuple.hpp